Bug 1565236 - NFV docs contain inline templates which should be packaged
Summary: NFV docs contain inline templates which should be packaged
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Vijay Chundury
QA Contact: Yariv
URL:
Whiteboard:
Depends On:
Blocks: 1584582
TreeView+ depends on / blocked
 
Reported: 2018-04-09 17:19 UTC by Steven Hardy
Modified: 2019-06-11 08:25 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1584582 (view as bug list)
Environment:
Last Closed: 2018-05-29 12:01:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Steven Hardy 2018-04-09 17:19:29 UTC
Description of problem:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/12/html-single/network_functions_virtualization_planning_and_configuration_guide/index

These docs have a lot of inline template content, which would be best shipped via an RPM, e.g the openstack-tripleo-heat-templates RPM now has a roles data similar to the one described, and other yaml sections like the network config should probably also point to pre-packaged examples?

For example, here we have a pre-prepared role which can be referenced and is probably already packaged:

https://github.com/openstack/tripleo-heat-templates/blob/master/roles/ComputeSriov.yaml

We should document consuming this via the new "roles generate" CLI described here which reduces the burden of rebasing custom roles_data between releases:

https://docs.openstack.org/tripleo-docs/latest/install/advanced_deployment/custom_roles.html#provided-example-roles

Elsewhere in the docs we should try to as far as is possible remove the cut/paste examples and instead reference files we package/test/ship so they're easier to consume and less likely to break between releases.

Comment 3 Franck Baudin 2018-05-28 07:51:20 UTC
Is the ask to fix RHOSP12 documentation only? As only RHOSP10 and RHOSP13 are of interest, can we move this request on RHOSP13.z doc and also qualify what is the ask (if any) for RHOSP10?

Thanks!

Comment 4 Saravanan KR 2018-05-29 12:01:33 UTC
The problem with OSP12 is that, it has only the ComputeOvsDpdk role file only and it does not have ComputeSriov role file. During the backport [1] of ComputeSriov, there was a concern raised regarding the backport affecting the existing Compute role during minor update in OSP12 (as SR-IOV service will be removed from Compute and added to the new role ComputeSriov). 

But the new role is already present in the OSP13 templates and we will use the roles generate cli for both SR-IOV and OVS-DPDK roles. I don't think we have much to do here for OSP12 and it has been already taken care of OSP13. Closing the BZ, please re-open if you still think we need to fix OSP12 doc too.

[1] https://review.openstack.org/#/c/517858/


Note You need to log in before you can comment on or make changes to this bug.